lwIP 2.1.2 Lightweight IP stack

Macros | Functions
slipif.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/netif.h"`

## Macros
#define | SLIP_USE_RX_THREAD !NO_SYS
#define | SLIP_RX_QUEUE SLIP_RX_FROM_ISR

## Functions
err_t | slipif_init (struct netif *netif)
void | slipif_poll (struct netif *netif)
void | slipif_process_rxqueue (struct netif *netif)
void | slipif_received_byte (struct netif *netif, u8_t data)
void | slipif_received_bytes (struct netif *netif, u8_t *data, u8_t len)

## Detailed Description

SLIP netif API

## Macro Definition Documentation

## ◆ SLIP_RX_QUEUE

#define SLIP_RX_QUEUE SLIP_RX_FROM_ISR

Set this to 1 to enable functions to pass in RX bytes from ISR context. If enabled, slipif_received_byte[s]() process incoming bytes and put assembled packets on a queue, which is fed into lwIP from slipif_poll(). If disabled, slipif_poll() polls the serial line (using sio_tryread()). Set this to 1 (default for SLIP_RX_FROM_ISR) to queue incoming packets received by slipif_received_byte[s]() as long as PBUF_POOL pbufs are available. If disabled, packets will be dropped if more than one packet is received.

## ◆ SLIP_USE_RX_THREAD

#define SLIP_USE_RX_THREAD !NO_SYS

Set this to 1 to start a thread that blocks reading on the serial line (using sio_read()).